GCLOUD_COMPUTE_SSL-CERTIFICATES_CREATE(1)

NAME

gcloud compute ssl-certificates create - create a Google Compute Engine SSL certificate

SYNOPSIS

gcloud compute ssl-certificates create NAME --certificate LOCAL_FILE_PATH --private-key LOCAL_FILE_PATH [--description DESCRIPTION] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute ssl-certificates create is used to create SSL certificates which can be used to configure a target HTTPS proxy. An SSL certificate consists of a certificate and private key. The private key is encrypted before it is stored.

POSITIONAL ARGUMENTS
NAME
    The name of the SSL certificate.

REQUIRED FLAGS
--certificate LOCAL_FILE_PATH
    The path to a local certificate file. The certificate must be in PEM format. The certificate chain must be no greater than 5 certs long. The chain must include at least one intermediate cert.
--private-key LOCAL_FILE_PATH
    The path to a local private key file. The private key must be in PEM format and must use RSA or ECDSA encryption.

OPTIONAL FLAGS
--description DESCRIPTION
    An optional, textual description for the SSL certificate.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.